com.amazonaws.services.codecommit.model

## Class UpdateDefaultBranchRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codecommit.model.UpdateDefaultBranchRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class UpdateDefaultBranchRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of an update default branch operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`UpdateDefaultBranchRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateDefaultBranchRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDefaultBranchName()` The name of the branch to set as the default.
`String` `getRepositoryName()` The name of the repository to set or change the default branch for.
`int` `hashCode()`
`void` `setDefaultBranchName(String defaultBranchName)` The name of the branch to set as the default.
`void` `setRepositoryName(String repositoryName)` The name of the repository to set or change the default branch for.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateDefaultBranchRequest` `withDefaultBranchName(String defaultBranchName)` The name of the branch to set as the default.
`UpdateDefaultBranchRequest` `withRepositoryName(String repositoryName)` The name of the repository to set or change the default branch for.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateDefaultBranchRequest

    public UpdateDefaultBranchRequest()

### Method Detail

#### setRepositoryName

    public void setRepositoryName(String repositoryName)

The name of the repository to set or change the default branch for.

Parameters:
  `repositoryName` - The name of the repository to set or change the default branch for.

#### getRepositoryName

    public String getRepositoryName()

The name of the repository to set or change the default branch for.

Returns:
  The name of the repository to set or change the default branch for.

#### withRepositoryName

    public UpdateDefaultBranchRequest withRepositoryName(String repositoryName)

The name of the repository to set or change the default branch for.

Parameters:
  `repositoryName` - The name of the repository to set or change the default branch for.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDefaultBranchName

    public void setDefaultBranchName(String defaultBranchName)

The name of the branch to set as the default.

Parameters:
  `defaultBranchName` - The name of the branch to set as the default.

#### getDefaultBranchName

    public String getDefaultBranchName()

The name of the branch to set as the default.

Returns:
  The name of the branch to set as the default.

#### withDefaultBranchName

    public UpdateDefaultBranchRequest withDefaultBranchName(String defaultBranchName)

The name of the branch to set as the default.

Parameters:
  `defaultBranchName` - The name of the branch to set as the default.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateDefaultBranchRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`